be.fgov.ehealth.hubservices.core.v2

## Class GetTherapeuticLinkSelectType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.GetTherapeuticLinkSelectType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:26:42+02:00",
                 comments="JAXB RI v2.3.7")
      public class GetTherapeuticLinkSelectType
      extends Object
      implements Serializable

  Java class for GetTherapeuticLinkSelectType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetTherapeuticLinkSelectType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice maxOccurs="2">
                 <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType" minOccurs="0"/>
                 <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v2}HCPartyIdType" maxOccurs="unbounded" minOccurs="0"/>
               </choice>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-THERAPEUTICLINK" maxOccurs="unbounded" minOccurs="0"/>
               <element name="begindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="therapeuticlinkstatus" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="active"/>
                     <enumeration value="inactive"/>
                     <enumeration value="all"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTherapeuticLinkSelectType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getBegindate()` Gets the value of the begindate property.
    `List<CDTHERAPEUTICLINK>` | `getCds()` Gets the value of the cds property.
    `org.joda.time.DateTime` | `getEnddate()` Gets the value of the enddate property.
    `List<Serializable>` | `getPatientsAndHcparties()` Gets the value of the patientsAndHcparties property.
    `String` | `getTherapeuticlinkstatus()` Gets the value of the therapeuticlinkstatus property.
    `void` | `setBegindate(org.joda.time.DateTime value)` Sets the value of the begindate property.
    `void` | `setEnddate(org.joda.time.DateTime value)` Sets the value of the enddate property.
    `void` | `setTherapeuticlinkstatus(String value)` Sets the value of the therapeuticlinkstatus property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTherapeuticLinkSelectType

          public GetTherapeuticLinkSelectType()

  - ### Method Detail

    - #### getPatientsAndHcparties

          public List<Serializable> getPatientsAndHcparties()

      Gets the value of the patientsAndHcparties property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the patientsAndHcparties property.

      For example, to add a new item, do as follows:

              getPatientsAndHcparties().add(newItem);

      Objects of the following type(s) are allowed in the list `HCPartyIdType` `PatientIdType`

    - #### getCds

          public List<CDTHERAPEUTICLINK> getCds()

      Gets the value of the cds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

      For example, to add a new item, do as follows:

              getCds().add(newItem);

      Objects of the following type(s) are allowed in the list `CDTHERAPEUTICLINK`

    - #### getBegindate

          public org.joda.time.DateTime getBegindate()

      Gets the value of the begindate property.
      Returns:
        possible object is `String`

    - #### setBegindate

          public void setBegindate(org.joda.time.DateTime value)

      Sets the value of the begindate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEnddate

          public org.joda.time.DateTime getEnddate()

      Gets the value of the enddate property.
      Returns:
        possible object is `String`

    - #### setEnddate

          public void setEnddate(org.joda.time.DateTime value)

      Sets the value of the enddate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTherapeuticlinkstatus

          public String getTherapeuticlinkstatus()

      Gets the value of the therapeuticlinkstatus property.
      Returns:
        possible object is `String`

    - #### setTherapeuticlinkstatus

          public void setTherapeuticlinkstatus(String value)

      Sets the value of the therapeuticlinkstatus property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.